//@line 38 "/builds/tinderbox/Tb-Mozilla1.8/Linux_2.4.18-14_Depend/mozilla/mail/components/preferences/general.js"

var gGeneralPane = {
  mPane: null,
  mSound: null,

  init: function ()
  {
    this.mPane = document.getElementById("paneGeneral"); 
    
    this.startPageCheck();
    this.mailSoundCheck();
  },

//@line 52 "/builds/tinderbox/Tb-Mozilla1.8/Linux_2.4.18-14_Depend/mozilla/mail/components/preferences/general.js"
  /**
   * Checks whether Thunderbird is currently registered with the operating
   * system as the default app for mail, rss and news.  If Thunderbird is not currently the
   * default app, the user is given the option of making it the default for each type;
   * otherwise, the user is informed that Thunderbird is already the default.
   */
  checkDefaultNow: function (aAppType) 
  {   
    var nsIShellService = Components.interfaces.nsIShellService;
    var shellSvc = Components.classes["@mozilla.org/mail/shell-service;1"].getService(nsIShellService);
    // if we are already the default for all the types we handle, then alert the user.
    if (shellSvc.isDefaultClient(false, nsIShellService.MAIL | nsIShellService.NEWS | nsIShellService.RSS))
    {
      var brandBundle = document.getElementById("bundleBrand");
      var shellBundle = document.getElementById("bundleShell");
      var brandShortName = brandBundle.getString("brandShortName");
      var promptTitle = shellBundle.getString("alreadyDefaultClientTitle");
      var promptMessage;
      const IPS = Components.interfaces.nsIPromptService;
      var psvc = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
                           .getService(IPS);

        promptMessage = shellBundle.getFormattedString("alreadyDefault", [brandShortName]);
        psvc.alert(window, promptTitle, promptMessage);
    }
    else
  {
      // otherwise, bring up the default client dialog
      window.openDialog("chrome://messenger/content/defaultClientDialog.xul", "Default Client", 
                        "modal,centerscreen,chrome,resizable=no");
    }
  },
//@line 85 "/builds/tinderbox/Tb-Mozilla1.8/Linux_2.4.18-14_Depend/mozilla/mail/components/preferences/general.js"

  startPageCheck: function() 
  {
    document.getElementById("mailnewsStartPageUrl").disabled = !document.getElementById("mailnewsStartPageEnabled").checked;
  },
  
  setHomePageToDefaultPage: function ()
  {
    var prefService = Components.classes["@mozilla.org/preferences-service;1"]
                                .getService(Components.interfaces.nsIPrefService);
    var pref = prefService.getDefaultBranch(null);
    var url = pref.getComplexValue("mailnews.start_page.url",
                                   Components.interfaces.nsIPrefLocalizedString).data;
    var startPageUrlField = document.getElementById("mailnewsStartPageUrl");
    startPageUrlField.value = url;
    
    this.mPane.userChangedValue(startPageUrlField);
  },

  showConnections: function ()
  {
    document.documentElement
            .openSubDialog("chrome://messenger/content/preferences/connection.xul",
                           "", null);
  },

  mailSoundCheck: function()
  {
    document.getElementById("soundButton").disabled = !document.getElementById("newMailNotification").checked;
  },

  showAdvancedSound: function()
  {
    document.documentElement
            .openSubDialog("chrome://messenger/content/preferences/notifications.xul",
                            "", null);
  }
};
